# Class EditingXSDAttributeService

#### Hierarchy

- EditingXSDAttributeService

- Defined in src/editing/XSDAttributes.js:35

#####
Index

### Properties

baseUrl_
http_
promises_

### Methods

getAttributes

## Properties

### baseUrl_

baseUrl_: string

- Defined in src/editing/XSDAttributes.js:44

### http_

http_: IHttpService

- Defined in src/editing/XSDAttributes.js:39

### promises_

promises_: Object

- Defined in src/editing/XSDAttributes.js:49

## Methods

### getAttributes

- getAttributes(id: number): IPromise<Attribute[]>

- ### Returns

  Promise.

  #### Parameters

  - ##### id: number

    Layer id.

  #### Returns IPromise<Attribute[]>

  - Defined in src/editing/XSDAttributes.js:56

Generated using TypeDoc